import React from 'react'
import {createRoot} from 'react-dom/client'
import './style.css'
import {FluentProvider, webLightTheme} from '@fluentui/react-components';
import {createBrowserRouter, RouterProvider} from "react-router-dom";
import Home from "./page/home/home";
import Connection from "./page/connection/connection";
import {ToastProvider} from "./message";

const container = document.getElementById('root')

const root = createRoot(container!)

const router = createBrowserRouter([
    {path: '/', element: <Home/>},
    {path: '/connection', element: <Connection/>},
])

root.render(
    <FluentProvider theme={webLightTheme}>
        <ToastProvider>
            <RouterProvider router={router}/>
        </ToastProvider>
    </FluentProvider>,
);
